Bug 1650574 - default graphics console SPICE+VNC for new VMs
Summary: default graphics console SPICE+VNC for new VMs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Michal Skrivanek
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 14:11 UTC by Michal Skrivanek
Modified: 2019-02-13 07:45 UTC (History)
3 users (show)

Fixed In Version: ovirt-engine-4.3.0_rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 07:45:08 UTC
oVirt Team: Virt
rule-engine: ovirt-4.3+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 95455 master MERGED backend: make SPICE+VNC the default graphics type 2020-01-23 13:49:17 UTC
oVirt gerrit 96599 master MERGED backend: fix SPICE+VNC default graphics type 2020-01-23 13:49:17 UTC

Description Michal Skrivanek 2018-11-16 14:11:13 UTC
change SPICE to SPICE+VNC for Blank and all default instance types

This will affect all VM creation using the default Blank template in *all* cluster versions

Comment 1 Rob Sanders 2018-11-28 10:35:17 UTC
Hi,

I'm trying to upgrade from 4.2.7 to 4.3.0_alpha1 and I'm getting the following error:

[ INFO  ] Creating/refreshing Engine database schema
[ ERROR ] schema.sh: FATAL: Cannot execute sql command: --file=/usr/share/ovirt-engine/dbscripts/upgrade/04_03_0450_change_default_graphics.sql
[ ERROR ] Failed to execute stage 'Misc configuration': Engine schema refresh failed
[ INFO  ] Yum Performing yum transaction rollback

Looking at the commit and manually trying to apply it I get:



engine=# select * from vm_device;
 device_id | vm_id | type | device | address | spec_params | is_managed | is_plugged | is_readonly | _create_date | _update_date | alias | custom_properties | snapshot_id | logical_nam
e | host_device 
-----------+-------+------+--------+---------+-------------+------------+------------+-------------+--------------+--------------+-------+-------------------+-------------+------------
--+-------------
(0 rows)

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '00000000-0000-0000-0000-000000000000', 'graphics', 'vnc', '', '', true, true, false);
INSERT 0 1

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '00000003-0003-0003-0003-0000000000be', 'graphics', 'vnc', '', '', true, true, false);
ERROR:  insert or update on table "vm_device" violates foreign key constraint "fk_vm_device_vm_static"
DETAIL:  Key (vm_id)=(00000003-0003-0003-0003-0000000000be) is not present in table "vm_static".

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '00000005-0005-0005-0005-0000000002e6', 'graphics', 'vnc', '', '', true, true, false);
ERROR:  insert or update on table "vm_device" violates foreign key constraint "fk_vm_device_vm_static"
DETAIL:  Key (vm_id)=(00000005-0005-0005-0005-0000000002e6) is not present in table "vm_static".

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '00000007-0007-0007-0007-00000000010a', 'graphics', 'vnc', '', '', true, true, false);
ERROR:  insert or update on table "vm_device" violates foreign key constraint "fk_vm_device_vm_static"
DETAIL:  Key (vm_id)=(00000007-0007-0007-0007-00000000010a) is not present in table "vm_static".

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '00000009-0009-0009-0009-0000000000f1', 'graphics', 'vnc', '', '', true, true, false);
ERROR:  insert or update on table "vm_device" violates foreign key constraint "fk_vm_device_vm_static"
DETAIL:  Key (vm_id)=(00000009-0009-0009-0009-0000000000f1) is not present in table "vm_static".

engine=# INSERT INTO vm_device (device_id, vm_id, type, device, address, spec_params, is_managed, is_plugged, is_readonly) VALUES (uuid_generate_v1(), '0000000b-000b-000b-000b-00000000021f', 'graphics', 'vnc', '', '', true, true, false);
ERROR:  insert or update on table "vm_device" violates foreign key constraint "fk_vm_device_vm_static"
DETAIL:  Key (vm_id)=(0000000b-000b-000b-000b-00000000021f) is not present in table "vm_static".

Comment 2 Michal Skrivanek 2019-01-03 14:57:09 UTC
did you by any chance remove all the predefined instance types?

Comment 3 Rob Sanders 2019-01-03 23:41:54 UTC
Yeah, I did. None of the previous upgrades complained about it.

Comment 4 Michal Skrivanek 2019-01-04 09:05:46 UTC
could you try again with https://jenkins.ovirt.org/job/ovirt-engine_master_build-artifacts-on-demand-el7-x86_64/1273/artifact/exported-artifacts/? The upgrade script assumed it's left intact even though it's quite possible to remove those indeed.
It would be very helpful if you can confirm it works

Comment 5 Rob Sanders 2019-01-14 09:10:38 UTC
Hi Michal,

It's looking good. Thank you!

Comment 6 Michal Skrivanek 2019-01-14 10:24:54 UTC
thanks. should be in current nightlies already

Comment 7 meital avital 2019-01-23 15:32:42 UTC
Verified on: 4.3.0-0.8.master.20190122102235.git7a1ef10.el7

Comment 8 Sandro Bonazzola 2019-02-13 07:45:08 UTC
This bugzilla is included in oVirt 4.3.0 release, published on February 4th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.